## mangar 12.9-extras12.04.1

=== debian/changelog ===
mangar (12.9-extras12.04.1) precise; urgency=low

  * Initial Release
    + Use Ubuntu toolbar style
    + New icon
    + Update about dialog

 -- Chris Triantafillis <christriant1995@gmail.com>  Sun, 08 Jul 2012 19:54:00 +0300
