=== debian/control ===
Source: mangar
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 libglib2.0-bin
Maintainer: Chris Triantafillis <christriant1995@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: mangar
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 yelp
Description: Read manga from online or local sources
 With MangaR you can read your favorite manga from online or local 
 sources. It supports cbz/cbr/cb7 files.
