=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/mangar                 --install-data=/opt/extras.ubuntu.com/mangar                 --install-lib=/opt/extras.ubuntu.com/mangar

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/mangar


override_dh_install:
	dh_install
	mkdir -p debian/mangar/opt/extras.ubuntu.com/mangar/bin
	if [ -x debian/mangar/opt/extras.ubuntu.com/mangar/mangar/mangar ]; then mv debian/mangar/opt/extras.ubuntu.com/mangar/mangar/mangar debian/mangar/opt/extras.ubuntu.com/mangar/bin; fi
	if [ -f debian/mangar/opt/extras.ubuntu.com/mangar/share/applications/mangar.desktop ]; then \
		mkdir -p debian/mangar/usr/share/applications; \
		mv debian/mangar/opt/extras.ubuntu.com/mangar/share/applications/mangar.desktop debian/mangar/usr/share/applications/extras-mangar.desktop; \
		rmdir --ignore-fail-on-non-empty debian/mangar/opt/extras.ubuntu.com/mangar/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/mangar/bin/mangar|' debian/mangar/usr/share/applications/extras-mangar.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/mangar/|' debian/mangar/usr/share/applications/extras-mangar.desktop; \
	fi
	grep -RlZ 'import gettext' debian/mangar/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/mangar/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('mangar')" debian/mangar/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('mangar')\)|locale\.bindtextdomain('mangar', '/opt/extras.ubuntu.com/mangar/share/locale')\nlocale\1|" 
	sed -i "s|__mangar_data_directory__ =.*|__mangar_data_directory__ = '/opt/extras.ubuntu.com/mangar/share/mangar/'|" debian/mangar/opt/extras.ubuntu.com/mangar/mangar*/mangarconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/mangar/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/mangar/opt/extras.ubuntu.com/mangar/bin/mangar
	if [ -d debian/mangar/opt/extras.ubuntu.com/mangar/share/glib-2.0/schemas ]; then glib-compile-schemas debian/mangar/opt/extras.ubuntu.com/mangar/share/glib-2.0/schemas; fi
	if [ -d debian/mangar/opt/extras.ubuntu.com/mangar/share/doc/ ]; then rm -rf debian/mangar/opt/extras.ubuntu.com/mangar/share/doc/; fi
